package digi.recipeManager.data;

import java.util.*;

import org.bukkit.ChatColor;

public class Combine extends Recipe
{
	public List<Item> ingredients;
	public List<Item> results;
	
	public Combine(final List<Item> ingredients, final List<Item> results, final String permission, final List<String> worlds)
	{
		super(permission, worlds);
		this.ingredients = ingredients;
		this.results = results;
		this.permission = permission;
	}
	
	public Item getRandomResult()
	{
		final int rand = new Random().nextInt(100);
		int chance = 0;
		Item result = null;
		
		for(final Item item : results)
		{
			if((chance += item.chance) > rand)
			{
				result = item;
				break;
			}
		}
		
		return result;
	}
	
	@Override
	public String[] print()
	{
		final StringBuilder items = new StringBuilder();
		boolean first = true;
		
		for(final Item i : ingredients)
		{
			items.append((first ? "" : ChatColor.GRAY + " + ") + ChatColor.BLUE + i.printItemData());
			first = false;
		}
		
		return new String[]
		{
			ChatColor.GOLD + "" + ChatColor.UNDERLINE + "Workbench shapeless recipe:",
			items.toString() + ChatColor.GREEN + " => " + ChatColor.WHITE + results.get(0).printAuto()
		};
	}
}