package digi.recipeManager.data;

import java.util.*;

import org.bukkit.ChatColor;

public class Fuel extends Recipe
{
	public ItemData ingredient;
	private final int minTime;
	private final int maxTime;
	
	public Fuel(final ItemData ingredient, final int minTime, final int maxTime, final String permission, final List<String> worlds)
	{
		super(permission, worlds);
		this.ingredient = ingredient;
		this.minTime = minTime;
		this.maxTime = maxTime;
	}
	
	public int getTime()
	{
		return (maxTime > minTime ? minTime + new Random().nextInt(maxTime - minTime) : minTime);
	}
	
	@Override
	public String[] print()
	{
		return new String[]
		{
			ChatColor.GOLD + "" + ChatColor.UNDERLINE + "Furnace fuel:",
			ChatColor.BLUE + ingredient.printItemData() + ChatColor.GRAY + " (" + ChatColor.WHITE + "burns " + ChatColor.RED + minTime + (maxTime > minTime ? "-" + maxTime : "") + ChatColor.WHITE + " seconds" + ChatColor.GRAY + ")"
		};
	}
}